Page MenuHomePhabricator

Rewrite wireless interface in new style XML syntax
Closed, ResolvedPublicFEATURE REQUEST

Description

By rewriting this module - we can drop one more package from the overall build procedure: https://github.com/vyos/vyatta-wireless

In addition to the rewrite migrate the nodes to simple valueless ones, or remove them as we always log to syslog

Boolean nodes to valueless

  • set interfaces wireless wifi0 capability ht 40MHz-incapable
  • set interfaces wireless wifi0 capability ht auto-powersave
  • set interfaces wireless wifi0 capability ht delayed-block-ack
  • set interfaces wireless wifi0 capability ht dsss-cck-40
  • set interfaces wireless wifi0 capability ht greenfield
  • set interfaces wireless wifi0 capability ht ldpc
  • set interfaces wireless wifi0 capability ht lsig-protection
  • set interfaces wireless wifi0 capability ht stbc tx
  • set interfaces wireless wifi0 capability require-ht
  • set interfaces wireless wifi0 capability require-vht
  • set interfaces wireless wifi0 capability vht antenna-pattern-fixed
  • set interfaces wireless wifi0 capability vht ldpc
  • set interfaces wireless wifi0 capability vht stbc tx
  • set interfaces wireless wifi0 capability vht tx-powersave
  • set interfaces wireless wifi0 capability vht vht-cf
  • set interfaces wireless wifi0 expunge-failing-stations
  • set interfaces wireless wifi0 isolate-stations

WPA RADIUS

  • rename set interfaces wireless wlan0 security wpa radius-server to set interfaces wireless wlan0 security wpa radius server
  • add set interfaces wireless wlan0 security wpa radius source-address

Other

  • set interfaces wireless wifi0 debug => always log to syslog

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Config syntax change (migratable)

Event Timeline

c-po created this task.Sep 3 2019, 10:21 AM
c-po updated the task description. (Show Details)
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po claimed this task.Sep 26 2019, 8:31 PM
pasik added a subscriber: pasik.Sep 26 2019, 9:49 PM

@alainlamar as you seem to be the VyOS Wireless expert, you know why we have VLAN support on it?

set interfaces wireless wlan0 vif 9 ? How is it intended to work? Or is it an error?

c-po removed c-po as the assignee of this task.Sep 27 2019, 7:04 PM
c-po removed a subscriber: c-po.
c-po added a subscriber: c-po.
c-po changed the task status from Open to In progress.Oct 6 2019, 2:22 PM
c-po claimed this task.
c-po updated the task description. (Show Details)Oct 11 2019, 7:27 PM
c-po updated the task description. (Show Details)
c-po updated the task description. (Show Details)Oct 13 2019, 4:35 PM
c-po updated the task description. (Show Details)Oct 13 2019, 4:44 PM
c-po updated the task description. (Show Details)Oct 19 2019, 7:00 PM
c-po added a comment.EditedNov 18 2019, 5:36 PM

Commands used for testing on VyOS 1.2.3 (also tests the config migration):

set interfaces wireless wlan0 address '192.168.99.254/24'
set interfaces wireless wlan0 capabilities ht 40MHz-incapable 'true'
set interfaces wireless wlan0 capabilities ht auto-powersave 'true'
set interfaces wireless wlan0 capabilities ht channel-set-width 'ht20'
set interfaces wireless wlan0 capabilities ht channel-set-width 'ht40+'
set interfaces wireless wlan0 capabilities ht channel-set-width 'ht40-'
set interfaces wireless wlan0 capabilities ht delayed-block-ack 'true'
set interfaces wireless wlan0 capabilities ht dsss-cck-40 'false'
set interfaces wireless wlan0 capabilities ht greenfield 'false'
set interfaces wireless wlan0 capabilities ht ldpc 'false'
set interfaces wireless wlan0 capabilities ht lsig-protection 'false'
set interfaces wireless wlan0 capabilities ht short-gi '20'
set interfaces wireless wlan0 capabilities ht short-gi '40'
set interfaces wireless wlan0 capabilities ht smps 'static'
set interfaces wireless wlan0 capabilities ht stbc rx '123'
set interfaces wireless wlan0 capabilities ht stbc tx 'true'
set interfaces wireless wlan0 capabilities require-ht 'false'
set interfaces wireless wlan0 capabilities require-vht 'false'
set interfaces wireless wlan0 channel '1'
set interfaces wireless wlan0 debug 'enable'
set interfaces wireless wlan0 expunge-failing-stations 'false'
set interfaces wireless wlan0 hw-id '04:f0:21:aa:aa:aa'
set interfaces wireless wlan0 isolate-stations 'true'
set interfaces wireless wlan0 mgmt-frame-protection 'disabled'
set interfaces wireless wlan0 mode 'g'
set interfaces wireless wlan0 physical-device 'phy0'
set interfaces wireless wlan0 security wpa cipher 'CCMP'
set interfaces wireless wlan0 security wpa mode 'wpa2'
set interfaces wireless wlan0 security wpa passphrase '12345678'
set interfaces wireless wlan0 ssid 'VyOS-TEST-0'
set interfaces wireless wlan0 type 'access-point'


set service dhcp-server shared-network-name WLAN-TEST subnet 192.168.99.0/24 default-router '192.168.99.254'
set service dhcp-server shared-network-name WLAN-TEST subnet 192.168.99.0/24 dns-server '8.8.8.8'
set service dhcp-server shared-network-name WLAN-TEST subnet 192.168.99.0/24 lease '180'
set service dhcp-server shared-network-name WLAN-TEST subnet 192.168.99.0/24 range 0 start '192.168.99.20'
set service dhcp-server shared-network-name WLAN-TEST subnet 192.168.99.0/24 range 0 stop '192.168.99.90'


set nat source rule 100 outbound-interface 'eth0.204'
set nat source rule 100 source address '192.168.99.0/24'
set nat source rule 100 translation address 'masquerade'
c-po updated the task description. (Show Details)Nov 18 2019, 8:10 PM
c-po closed this task as Resolved.Nov 23 2019, 7:48 PM
c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.
c-po changed Is it a breaking change? from Perfectly compatible to Config syntax change (migratable).